<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE xml>

<?xdevuiml version="1.0"?>
<?template NONE?>
<?import com.vaadin.ui.CustomComponent?>
<?import com.xdev.ui.XdevButton?>
<?import com.xdev.ui.XdevCheckBox?>
<?import com.xdev.ui.XdevGridLayout?>
<?import com.xdev.ui.XdevHorizontalLayout?>
<?import com.xdev.ui.XdevLabel?>
<?import com.xdev.ui.XdevPanel?>
<?import com.xdev.ui.XdevVerticalLayout?>
<?import com.xdev.ui.XdevView?>
<?import com.xdev.ui.entitycomponent.combobox.XdevComboBox?>
<?import com.xdev.ui.entitycomponent.table.XdevTable?>
<XdevView xmlns:x="http://xml.xdev-software.com/xdevuiml" x:name="Cliente04AccessoriViewGruppi4_6">
    <x:constraints zpos="0" width="100%" height="100%" />
    <XdevVerticalLayout x:name="verticalLayout" margin="">
        <x:constraints zpos="0" width="100%" height="100%" />
        <XdevPanel x:name="panel">
            <x:constraints weighty="0.1" width="100%" alignment="TOP_CENTER" height="100%" />
            <XdevHorizontalLayout x:name="horizontalLayout" margin="">
                <x:constraints zpos="0" width="100%" height="100%" />
                <XdevVerticalLayout x:name="verticalLayout2" margin="tb">
                    <x:constraints weightx="0.2" width="100%" alignment="TOP_CENTER" height="0px" />
                    <XdevHorizontalLayout x:name="horizontalLayout8" margin="rl">
                        <x:constraints weighty="0.0" width="100%" alignment="TOP_CENTER" height="0px" />
                        <XdevLabel x:name="labelEsecuzione" value="&lt;html&gt;&lt;b&gt;Esecuzione&lt;/html&gt;" contentMode="com.vaadin.shared.ui.label.ContentMode.HTML">
                            <x:constraints weightx="0.15" width="100%" height="0px" />
                        </XdevLabel>
                        <XdevComboBox x:name="comboBoxEsecuzioni">
                            <x:constraints weightx="0.15" width="100%" height="0px" />
                            <x:typeArguments>
                                <typeArgument type="CustomComponent" />
                            </x:typeArguments>
                            <x:event>valueChange.valueChange</x:event>
                        </XdevComboBox>
                        <XdevComboBox x:name="comboBoxClassi">
                            <x:constraints weightx="0.15" width="100%" height="0px" />
                            <x:typeArguments>
                                <typeArgument type="CustomComponent" />
                            </x:typeArguments>
                            <x:event>valueChange.valueChange</x:event>
                        </XdevComboBox>
                    </XdevHorizontalLayout>
                    <XdevHorizontalLayout x:name="horizontalLayout2" margin="rl">
                        <x:constraints weighty="0.0" width="100%" alignment="TOP_CENTER" height="0px" />
                        <XdevComboBox x:name="comboBoxRDLD">
                            <x:constraints weightx="0.1" width="100%" height="0px" />
                            <x:typeArguments>
                                <typeArgument type="CustomComponent" />
                            </x:typeArguments>
                            <x:event>valueChange.valueChange</x:event>
                        </XdevComboBox>
                        <XdevButton caption="&lt;&lt;" styleName="small" x:name="buttonAngoloMeno">
                            <x:constraints weightx="0.05" width="100%" height="0px" />
                            <x:event>click.buttonClick</x:event>
                        </XdevButton>
                        <XdevLabel x:name="labelAngolo" value="360°" contentMode="com.vaadin.shared.ui.label.ContentMode.HTML">
                            <x:constraints weightx="0.05" width="100%" height="0px" />
                        </XdevLabel>
                        <XdevButton caption="&gt;&gt;" styleName="small" x:name="buttonAngoloPiu">
                            <x:constraints weightx="0.05" width="100%" height="0px" />
                            <x:event>click.buttonClick</x:event>
                        </XdevButton>
                    </XdevHorizontalLayout>
                </XdevVerticalLayout>
                <XdevVerticalLayout caption="Motore" spacing="false" x:name="verticalLayoutMotore" captionAsHtml="true" margin="">
                    <x:constraints weightx="0.15" width="100%" alignment="TOP_CENTER" height="0px" />
                    <XdevHorizontalLayout x:name="horizontalLayout5" margin="">
                        <x:constraints weighty="0.0" width="100%" height="0px" />
                        <XdevLabel x:name="labelCodiceMotore" value="PippoFranco" contentMode="com.vaadin.shared.ui.label.ContentMode.HTML">
                            <x:constraints weightx="0.1" width="100%" alignment="TOP_LEFT" height="0px" />
                        </XdevLabel>
                        <XdevLabel x:name="labelPotenzaMotore" value="3.8 kW">
                            <x:constraints weightx="0.1" width="100%" alignment="TOP_LEFT" height="0px" />
                        </XdevLabel>
                    </XdevHorizontalLayout>
                    <XdevHorizontalLayout x:name="horizontalLayout6" margin="">
                        <x:constraints weighty="0.0" width="100%" height="0px" />
                        <XdevLabel styleName="small" x:name="labelDescrizioneMotore" value="Descrizione" contentMode="com.vaadin.shared.ui.label.ContentMode.HTML">
                            <x:constraints weightx="0.1" width="100%" alignment="TOP_LEFT" height="0px" />
                        </XdevLabel>
                    </XdevHorizontalLayout>
                    <XdevHorizontalLayout spacing="false" x:name="horizontalLayout7" margin="">
                        <x:constraints weighty="0.0" width="100%" height="0px" />
                        <XdevButton icon="WebContent/resources/img/documents_exchange.png" caption="Cambia Motore" styleName="small" x:name="buttonCambiaMotore">
                            <x:constraints weightx="0.1" width="0px" alignment="TOP_LEFT" height="0px" />
                            <x:event>click.buttonClick</x:event>
                        </XdevButton>
                    </XdevHorizontalLayout>
                </XdevVerticalLayout>
                <XdevGridLayout caption="Installazione" x:name="gridLayoutInstallazione" captionAsHtml="true" margin="">
                    <x:constraints weightx="0.1" width="100%" alignment="TOP_CENTER" height="0px" />
                    <XdevCheckBox caption="A" x:name="checkBoxA">
                        <x:constraints gridx="1" gridy="1" weighty="0.0" weightx="0.1" width="31px" height="0px" />
                        <x:event>valueChange.valueChange</x:event>
                    </XdevCheckBox>
                    <XdevCheckBox caption="B" x:name="checkBoxB">
                        <x:constraints gridx="1" gridy="2" weighty="0.0" weightx="0.1" width="31px" height="0px" />
                        <x:event>valueChange.valueChange</x:event>
                    </XdevCheckBox>
                    <XdevCheckBox caption="C" x:name="checkBoxC">
                        <x:constraints gridx="1" gridy="3" weighty="0.0" weightx="0.1" width="31px" height="0px" />
                        <x:event>valueChange.valueChange</x:event>
                    </XdevCheckBox>
                    <XdevCheckBox caption="D" x:name="checkBoxD">
                        <x:constraints gridx="1" gridy="4" weighty="0.0" weightx="0.1" width="31px" height="0px" />
                        <x:event>valueChange.valueChange</x:event>
                    </XdevCheckBox>
                </XdevGridLayout>
                <XdevVerticalLayout x:name="verticalLayout4" margin="trl">
                    <x:constraints weightx="0.1" width="100%" alignment="TOP_CENTER" height="0px" />
                    <XdevButton caption="Reset Accessori" styleName="small" x:name="buttonResetAccessori">
                        <x:constraints weighty="0.0" width="0px" height="0px" />
                        <x:event>click.buttonClick</x:event>
                    </XdevButton>
                    <XdevButton caption="Aggiungi al Preventivo" styleName="big giallo" x:name="buttonAggiungiPreventivo">
                        <x:constraints weighty="0.0" width="0px" height="0px" />
                        <x:event>click.buttonClick</x:event>
                    </XdevButton>
                </XdevVerticalLayout>
            </XdevHorizontalLayout>
        </XdevPanel>
        <XdevTable caption="Accessories available" x:name="tableAccessoriGruppoA" styleName="small mystriped">
            <x:constraints weighty="0.2" width="100%" alignment="TOP_CENTER" height="100%" />
            <x:typeArguments>
                <typeArgument type="CustomComponent" />
            </x:typeArguments>
        </XdevTable>
        <XdevTable caption="Accessories available" x:name="tableAccessoriGruppoB" styleName="small mystriped">
            <x:constraints weighty="0.2" width="100%" alignment="TOP_CENTER" height="100%" />
            <x:typeArguments>
                <typeArgument type="CustomComponent" />
            </x:typeArguments>
            <x:event>valueChange.valueChange</x:event>
        </XdevTable>
    </XdevVerticalLayout>
</XdevView>

